<!DOCTYPE html>

<html lang="en" data-content_root="../">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="viewport" content="width=device-width, initial-scale=1" />

    <title>cnp package &#8212; numpy 0.0.post1.dev4+gdc3df0d documentation</title>
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css?v=fa44fd50" />
    <link rel="stylesheet" type="text/css" href="../_static/alabaster.css?v=233b9934" />
    <script src="../_static/documentation_options.js?v=a3874995"></script>
    <script src="../_static/doctools.js?v=888ff710"></script>
    <script src="../_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
   
  <link rel="stylesheet" href="../_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="cnp-package">
<h1>cnp package<a class="headerlink" href="#cnp-package" title="Link to this heading">¶</a></h1>
<section id="submodules">
<h2>Submodules<a class="headerlink" href="#submodules" title="Link to this heading">¶</a></h2>
</section>
<section id="module-cnp.app">
<span id="cnp-app-module"></span><h2>cnp.app module<a class="headerlink" href="#module-cnp.app" title="Link to this heading">¶</a></h2>
<dl class="py class">
<dt class="sig sig-object py" id="cnp.app.Storage">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">cnp.app.</span></span><span class="sig-name descname"><span class="pre">Storage</span></span><a class="reference internal" href="../_modules/cnp/app.html#Storage"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#cnp.app.Storage" title="Link to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3.11/library/functions.html#object" title="(in Python v3.11)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="cnp.app.process_commands">
<span class="sig-prename descclassname"><span class="pre">cnp.app.</span></span><span class="sig-name descname"><span class="pre">process_commands</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">processors</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwds</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/cnp/app.html#process_commands"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#cnp.app.process_commands" title="Link to this definition">¶</a></dt>
<dd><p>This result callback is invoked with an iterable of all the chained
subcommands.  Each subcommand returns a function that is chained together
to feed one into the other, similar to how a pipe on unix works.</p>
</dd></dl>

</section>
<section id="module-cnp.common">
<span id="cnp-common-module"></span><h2>cnp.common module<a class="headerlink" href="#module-cnp.common" title="Link to this heading">¶</a></h2>
<dl class="py function">
<dt class="sig sig-object py" id="cnp.common.generator">
<span class="sig-prename descclassname"><span class="pre">cnp.common.</span></span><span class="sig-name descname"><span class="pre">generator</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">f</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/cnp/common.html#generator"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#cnp.common.generator" title="Link to this definition">¶</a></dt>
<dd><p>Creates a generator from a function.</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="cnp.common.params_to_dict">
<span class="sig-prename descclassname"><span class="pre">cnp.common.</span></span><span class="sig-name descname"><span class="pre">params_to_dict</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">arg</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference external" href="https://docs.python.org/3.11/library/stdtypes.html#str" title="(in Python v3.11)"><span class="pre">str</span></a></span></em><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><a class="reference external" href="https://docs.python.org/3.11/library/typing.html#typing.Dict" title="(in Python v3.11)"><span class="pre">Dict</span></a></span></span><a class="reference internal" href="../_modules/cnp/common.html#params_to_dict"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#cnp.common.params_to_dict" title="Link to this definition">¶</a></dt>
<dd><p>Parse a string of the form “param1=value1|param2=value2|…” into a dict.</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="cnp.common.processor">
<span class="sig-prename descclassname"><span class="pre">cnp.common.</span></span><span class="sig-name descname"><span class="pre">processor</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">f</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/cnp/common.html#processor"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#cnp.common.processor" title="Link to this definition">¶</a></dt>
<dd><p>Creates a processor from a function.</p>
</dd></dl>

</section>
<section id="module-cnp.inout">
<span id="cnp-inout-module"></span><h2>cnp.inout module<a class="headerlink" href="#module-cnp.inout" title="Link to this heading">¶</a></h2>
<dl class="py function">
<dt class="sig sig-object py" id="cnp.inout.dumps">
<span class="sig-prename descclassname"><span class="pre">cnp.inout.</span></span><span class="sig-name descname"><span class="pre">dumps</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">arrays</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/cnp/inout.html#dumps"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#cnp.inout.dumps" title="Link to this definition">¶</a></dt>
<dd><p>Writes the contents of the arrays to a string (stdout).</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="cnp.inout.read">
<span class="sig-prename descclassname"><span class="pre">cnp.inout.</span></span><span class="sig-name descname"><span class="pre">read</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">filename</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">params</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">format</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/cnp/inout.html#read"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#cnp.inout.read" title="Link to this definition">¶</a></dt>
<dd><p>Read data from a file and yield NumPy arrays.</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="cnp.inout.write">
<span class="sig-prename descclassname"><span class="pre">cnp.inout.</span></span><span class="sig-name descname"><span class="pre">write</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">arrays</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">filename</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">params</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">format</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/cnp/inout.html#write"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#cnp.inout.write" title="Link to this definition">¶</a></dt>
<dd><p>Write a NumPy array to a file.</p>
</dd></dl>

</section>
<section id="module-cnp.nparray">
<span id="cnp-nparray-module"></span><h2>cnp.nparray module<a class="headerlink" href="#module-cnp.nparray" title="Link to this heading">¶</a></h2>
<dl class="py function">
<dt class="sig sig-object py" id="cnp.nparray.axiswise_unary_generator">
<span class="sig-prename descclassname"><span class="pre">cnp.nparray.</span></span><span class="sig-name descname"><span class="pre">axiswise_unary_generator</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">func</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/cnp/nparray.html#axiswise_unary_generator"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#cnp.nparray.axiswise_unary_generator" title="Link to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="cnp.nparray.binary_generator">
<span class="sig-prename descclassname"><span class="pre">cnp.nparray.</span></span><span class="sig-name descname"><span class="pre">binary_generator</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">func</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/cnp/nparray.html#binary_generator"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#cnp.nparray.binary_generator" title="Link to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="cnp.nparray.binary_ufunc_generator">
<span class="sig-prename descclassname"><span class="pre">cnp.nparray.</span></span><span class="sig-name descname"><span class="pre">binary_ufunc_generator</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">ufunc</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/cnp/nparray.html#binary_ufunc_generator"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#cnp.nparray.binary_ufunc_generator" title="Link to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="cnp.nparray.elementwise_unary_generator">
<span class="sig-prename descclassname"><span class="pre">cnp.nparray.</span></span><span class="sig-name descname"><span class="pre">elementwise_unary_generator</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">func</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/cnp/nparray.html#elementwise_unary_generator"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#cnp.nparray.elementwise_unary_generator" title="Link to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="cnp.nparray.random">
<span class="sig-prename descclassname"><span class="pre">cnp.nparray.</span></span><span class="sig-name descname"><span class="pre">random</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">size</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">min_</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">max_</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/cnp/nparray.html#random"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#cnp.nparray.random" title="Link to this definition">¶</a></dt>
<dd><p>Generates an array of <code class="docutils literal notranslate"><span class="pre">size</span></code> random values from [min, max].</p>
</dd></dl>

</section>
<section id="module-cnp.queue">
<span id="cnp-queue-module"></span><h2>cnp.queue module<a class="headerlink" href="#module-cnp.queue" title="Link to this heading">¶</a></h2>
<dl class="py function">
<dt class="sig sig-object py" id="cnp.queue.pop">
<span class="sig-prename descclassname"><span class="pre">cnp.queue.</span></span><span class="sig-name descname"><span class="pre">pop</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">storage</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">arrays</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">index</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">append</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">zip_</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/cnp/queue.html#pop"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#cnp.queue.pop" title="Link to this definition">¶</a></dt>
<dd><p>Pop objects from the stack and add them to the queue.</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="cnp.queue.push">
<span class="sig-prename descclassname"><span class="pre">cnp.queue.</span></span><span class="sig-name descname"><span class="pre">push</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">storage</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">arrays</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">pass_</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/cnp/queue.html#push"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#cnp.queue.push" title="Link to this definition">¶</a></dt>
<dd><p>Push the objects from the queue into a stack-like memory construct.</p>
</dd></dl>

</section>
<section id="module-cnp">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-cnp" title="Link to this heading">¶</a></h2>
</section>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="../index.html">numpy</a></h1>








<h3>Navigation</h3>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../readme.html">Overview</a></li>
<li class="toctree-l1"><a class="reference internal" href="../cnp.html">Reference</a></li>
<li class="toctree-l1"><a class="reference internal" href="../contributing.html">Contributions &amp; Help</a></li>
<li class="toctree-l1"><a class="reference internal" href="../license.html">License</a></li>
<li class="toctree-l1"><a class="reference internal" href="../authors.html">Authors</a></li>
<li class="toctree-l1"><a class="reference internal" href="../changelog.html">Changelog</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="../index.html">Documentation overview</a><ul>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2023, Contextualize.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 7.2.6</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.13</a>
      
      |
      <a href="../_sources/api/cnp.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>